Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMRepositoryException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sun.wbem.cim.CIMException
                        |
                        +--com.sun.wbem.cim.CIMRepositoryException

public class CIMRepositoryException
extends CIMException

Exception class representing exceptions that occur in a CIM persistent store.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PS_CONFIG` The repository is configured incorrectly.
`static java.lang.String` | `PS_UNAVAILABLE` The repository is unavailable.

Fields inherited from class com.sun.wbem.cim.CIMException
`CIM_ERR_ALREADY_EXISTS, CIM_ERR_CLASS_HAS_CHILDREN, CIM_ERR_CLASS_HAS_INSTANCES, CIM_ERR_FAILED, CIM_ERR_INVALID_CLASS, CIM_ERR_INVALID_NAMESPACE, CIM_ERR_INVALID_PARAMETER, CIM_ERR_INVALID_QUERY, CIM_ERR_LOW_ON_MEMORY, CIM_ERR_NOT_FOUND, CIM_ERR_NOT_SUPPORTED, DEFAULT, PDEFAULT, VER_ERROR`

Constructor Summary
`CIMRepositoryException()` Creates a CIMRepositoryException with no detail message.
`CIMRepositoryException(java.lang.String s)` Creates a CIMRepositoryException with the specified detail message.
`CIMRepositoryException(java.lang.String s, java.lang.Object param)` Creates a CIMRepositoryException with the specified detail message and one exception parameter.
`CIMRepositoryException(java.lang.String s, java.lang.Object[] param)` Creates a CIMRepositoryException with the specified detail message and an array of exception parameters.
`CIMRepositoryException(java.lang.String s, java.lang.Object param1, java.lang.Object param2)` Creates a CIMRepositoryException with the specified detail message and two exception parameters.
`CIMRepositoryException(java.lang.String s, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Creates a CIMRepositoryException with the specified detail message and three exception parameters.

Methods inherited from class com.sun.wbem.cim.CIMException
`getID, getParams, getXmlCode, getXmlCode, isXmlCode, setParams, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PS_UNAVAILABLE

    public static final java.lang.String PS_UNAVAILABLE

  The repository is unavailable.

### PS_CONFIG

    public static final java.lang.String PS_CONFIG

  The repository is configured incorrectly.

Constructor Detail

### CIMRepositoryException

    public CIMRepositoryException()

  Creates a CIMRepositoryException with no detail message.

### CIMRepositoryException

    public CIMRepositoryException(java.lang.String s)

  Creates a CIMRepositoryException with the specified detail message.
  Parameters:
    `s` - the detail message.

### CIMRepositoryException

    public CIMRepositoryException(java.lang.String s,
                                  java.lang.Object param)

  Creates a CIMRepositoryException with the specified detail message and one exception parameter.
  Parameters:
    `s` - the detail message.
    `param` - exception parameter.

### CIMRepositoryException

    public CIMRepositoryException(java.lang.String s,
                                  java.lang.Object param1,
                                  java.lang.Object param2)

  Creates a CIMRepositoryException with the specified detail message and two exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.

### CIMRepositoryException

    public CIMRepositoryException(java.lang.String s,
                                  java.lang.Object param1,
                                  java.lang.Object param2,
                                  java.lang.Object param3)

  Creates a CIMRepositoryException with the specified detail message and three exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.
    `param3` - third Exception parameter.

### CIMRepositoryException

    public CIMRepositoryException(java.lang.String s,
                                  java.lang.Object[] param)

  Creates a CIMRepositoryException with the specified detail message and an array of exception parameters.
  Parameters:
    `s` - the detail message.
    `param` - array of exception parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD